> ## Documentation Index
> Fetch the complete documentation index at: https://botpress-ak-docs-20-document-updating-variables-from-outsid.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# deleteConversation

> Permanently deletes a [Conversation](#schema_conversation). It cannot be undone. Also immediately deletes corresponding [Messages](#schema_message).



## OpenAPI

````yaml chat-openapi.json delete /conversations/{id}
openapi: 3.0.0
info:
  title: Chat API
  description: API for the Chat Integration
  version: 0.0.0
servers:
  - url: https://chat.botpress.cloud/{webhookUrl}
    variables:
      webhookUrl:
        default: your_default_webhook_url
        description: The webhook URL
security: []
paths:
  /conversations/{id}:
    delete:
      tags:
        - Endpoints
      summary: Delete Conversation
      description: >-
        Permanently deletes a [Conversation](#schema_conversation). It cannot be
        undone. Also immediately deletes corresponding
        [Messages](#schema_message).
      operationId: deleteConversation
      parameters:
        - name: x-user-key
          in: header
          description: Authentication Key
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: Conversation id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: >-
            Returns the [Conversation](#schema_conversation) object that was
            deleted
          content:
            application/json:
              schema:
                type: object
                title: deleteConversationResponse
                additionalProperties: false
        default:
          description: >-
            Returns the [Conversation](#schema_conversation) object that was
            deleted
          content:
            application/json:
              schema:
                type: object
                title: deleteConversationResponse
                additionalProperties: false

````